Retrieve Billing Agreement

Alternative endpoint to retrieve billing agreement details using a request body instead of path parameter. Functionally equivalent to GET /v2/billing-agreements/{token}. *Deprecated. For new integrations, see [Grants](https://afterpay.docs.buildwithfern.com/afterpay-online-developer/api-reference/reference/grants/start-grant-approval).*

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Headers

User-AgentstringRequired

Request

The request containing the billing agreement token to retrieve
tokenstringRequired
The billing agreement token to retrieve

Response

Billing agreement details retrieved successfully
tokenstring
Unique token identifying the agreement
typeenum
Type of agreement
Allowed values:
statusenum
Current status of the agreement
Allowed values:
createdstringformat: "date-time"
Timestamp when the agreement was created
merchantReferencestring or null
Merchant's reference for this agreement
cancelledstringformat: "date-time"
If present, indicates when the agreement was cancelled
expiresstringformat: "date-time"
If present, indicates when the agreement's status will become EXPIRED, preventing a client from using it to create payments
eventslist of objects
List of events associated with this agreement
requestIdstring or null
Unique identifier for the request
consumerReferencestring or null
Reference identifier for the consumer
emailstring or null
Masked email address of the consumer

Errors

403
Forbidden Error
404
Not Found Error